Subject: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Yuri D'Elia <[email-masked]>
Date: Wed, 31 Aug 2016 11:15:25 +0200

On Tue, Aug 30 2016, Eli Zaretskii <[email-masked]> wrote:
> This is expected.  This structure is the object used for iterating
> through buffer text in order to prepare its display in a window.  A
> single object is used by try_window each time it is called.

Ok

> What should NOT happen is that the values of it.current.pos stay
> constant, or cycle endlessly between the same values.  If you can look
> at that, please do.

I set a breakpoint and dumped the value of it->current.pos.
It seems to cycle every 54 iterations. Attached.

>> Is there some way to conveniently dump the entire buffer state to a file
>> so we can debug this by reloading the content without having the mail
>> client in the way?
>
> Not that I know of.

Then, debugging this will be super-annoying :/

> I can provide guidance for debugging this, if you can afford it.

I'm waiting.